import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/NewMessageModel/service/remote/entity/LikePageEntity.dart';
import 'package:gmalpha_flutter/res/value/ALColors.dart';

class LikeListItem extends StatelessWidget {
  final Data item;
  LikeListItem(this.item);

  Text myText(
    String text,
    Color color,
    double size,
    {int maxLines = 1, bool weight = false}
  ) {
    return Text(
      text,
      softWrap: true,
      maxLines: maxLines,
      overflow: TextOverflow.ellipsis,
      style: TextStyle(
        fontSize: size,
        color: color,
        height: 1.38,
        fontWeight: weight ? FontWeight.bold : FontWeight.normal
      ),
    );
  }

  Widget listItemHead() {
    return Container(
      margin: const EdgeInsets.only(right: 10.0),
      child: CircleAvatar(
        radius: 21.0,
        backgroundImage: NetworkImage(item.icon),
      ),
    );
  }

  Widget listItemInfo() {
    return Expanded(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.only(top: 4.0),
            child: myText('${item.content}赞了你的回答', ALColors.Color666666, 13.0, maxLines: 2),
          )
        ],
      ),
    );
  }

  Widget listItemButton() {
    return Container(
      padding: const EdgeInsets.only(top: 5.0, left: 12.0),
      width: 66.0,
      height: 34.0,
      child: OutlineButton(
        padding: const EdgeInsets.only(left: 0.0, right: 0.0,),
        borderSide: BorderSide(
          color: ALColors.Color323232
        ),
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.zero),
        onPressed: () {
          // todo 跳转到原生页面 详情页面
        },
        child: myText('查看', ALColors.Color323232, 13.0)
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
     if(item.type == 2){
       return Container(
          child: Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              listItemHead(),
              listItemInfo(),
              listItemButton()
            ],
          ),
        );
      }
      else{
        return Container(
          child: Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              listItemHead(),
              listItemInfo()
            ],
          ),
        );
      }
  }
}
